Method: projects.locations.userStores.userLicenses.export

将父级 UserStore 下的所有 UserLicense 导出为单个 CSV 文档。这是管理控制台“下载为 CSV”操作的后端:它会重复使用 userLicenses.list 读取路径,以便管理员可以在 Excel 或 Google 表格中离线排序/过滤。

响应通过 ExportUserLicensesResponse.csv_data 内嵌完整 CSV(标题行后跟数据行)。

HTTP 请求

POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/userStores/*}/userLicenses:export

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。父级 UserStore 资源名称,格式为:projects/{project}/locations/{location}/userStores/{userStoreId}。系统会导出相应 UserStore 下的所有 UserLicense

请求正文

请求正文必须为空。

响应正文

UserLicenseService.ExportUserLicenses 的响应消息。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "csvData": string
  // End of mutually exclusive fields.
}
字段
导出的结果。M1 会在 csv_data 中内联返回 CSV;该 oneof 为未来的大型导出变体(例如 GCS URI)留出了空间,而不会破坏合约。以下是互斥字段的列表。在响应中,最多只能设置一个字段:
csvData

string (bytes format)

完整的 CSV 文档(以原始字节表示):标题行后跟每个 UserLicense 一行。包含用户许可数据(例如用户电子邮件地址)。如果导出中没有匹配的许可,则仅包含标题行。

使用 base64 编码的字符串。

互斥字段的结束位置。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

如需了解详情,请参阅 Authentication Overview

IAM 权限

需要拥有 parent 资源的以下 IAM 权限:

  • discoveryengine.userStores.listUserLicenses

如需了解详情,请参阅 IAM 文档